# cCovenant Class Reference

Inheritance diagram for cCovenant:

List of all members.

## Public Member Functions

| cCovenant (WORD type, DWORD dwGUID, DWORD houseID, char *szName, char *szDescription, cLocation *pcLoc=NULL)
void | Assess (cClient *pcAssesser)
cMessage | CreatePacket ()
void | Action (cClient *who)
void | SetMode (DWORD mode)
void | SetGUID (DWORD GUID)
void | SetOwner (DWORD ownerID)
void | SetData (DWORD wAnimConfig, WORD wModel, WORD wIcon)

## Friends

class | cClient

## Constructor & Destructor Documentation

cCovenant::cCovenant | ( | WORD | type,
|  | DWORD | dwGUID,
|  | DWORD | dwHouseID,
|  | char * | szName,
|  | char * | szDescription,
|  | cLocation * | pcLoc = `NULL` |
| ) |  |  |

A constructor.

Called whenever a covenant crystal object is initialized.

Handles the creation of covenant crystals.

Called whenever a covenant crystal object should be initialized.

## Member Function Documentation

void cCovenant::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of covenant crystal objects.

This function is called whenever a covenant crystal is used or should perform an action.

Implements cObject.

void cCovenant::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of covenant crystal objects.

This function is called whenever a covenant crystal is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cCovenant::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of covenant crystals in the world.

This function is called whenever a covenant crystal should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cCovenantCrystal.cpp